import {
  isSchemaObjectFlat
} from "./chunk-HIX6EHLQ.js";
import {
  objectMap
} from "./chunk-PIP5E7GF.js";
import {
  assert
} from "./chunk-GAB5OQ4U.js";

// src/common/schema/export-typescript.ts
var mapTypescriptType = {
  int: "number"
};
function schemaExportTypescriptInterface(schema, name = "Example") {
  assert(isSchemaObjectFlat(schema), "schema should be a flat object");
  const lines = [
    `interface ${name} {`
  ];
  objectMap(schema._object, (key, schema2) => {
    const s = `  ${key}${schema2._optional === true ? "?" : ""}: ${mapTypescriptType[schema2.type] ?? schema2.type}`;
    lines.push(s);
  });
  lines.push("}");
  return lines.join("\n");
}

export {
  schemaExportTypescriptInterface
};
//# sourceMappingURL=chunk-7ZDMQIAN.js.map