import {
  isSchemaObjectFlat
} from "./chunk-HIX6EHLQ.js";
import {
  objectMap
} from "./chunk-PIP5E7GF.js";
import {
  assert
} from "./chunk-GAB5OQ4U.js";

// src/common/schema/export-swift.ts
var mapSwiftType = {
  string: "String",
  number: "Double",
  int: "Int",
  boolean: "Bool"
};
function schemaExportSwiftStruct(schema, name = "Example") {
  assert(isSchemaObjectFlat(schema), "schema should be a flat object");
  const lines = [
    `struct ${name} {`
  ];
  objectMap(schema._object, (key, schema2) => {
    let s = `  var ${key}: ${mapSwiftType[schema2.type] ?? schema2.type}`;
    if (schema2._optional === true)
      s += "?";
    if (schema2._default != null)
      s += ` = ${schema2._default}`;
    lines.push(s);
  });
  lines.push("}");
  return lines.join("\n");
}

export {
  schemaExportSwiftStruct
};
//# sourceMappingURL=chunk-PTJHYZOR.js.map